# data-manager-control

DataManagerControlComponent is the one in charge of handle all datamanager events and call the corresponding event emitter on DataManagerControlBaseComponent.

## Support

### Properties

| Property                     | Get/Set | Notify Changes | Details                                                                  |
| ---------------------------- | ------- | -------------- | ------------------------------------------------------------------------ |
| currentDM: any               | Yes/No  | No             | Returns an object with the current data window id and its binding value. |
| dirty: boolean               | Yes/Yes | Yes            | Indicates whether the current DataManager has changed.                   |
| getDataManagerId: string     | Yes/No  | No             | Returns the dataManger id does not matter if the core is v4 or v5.       |
| myCurrentDataManager: string | Yes/Yes | No             | Gets or Sets a string indicating the currentDataManager                  |

### Events

In this section all the events are handled by eventsHandler function and sended to DataManagerControlBaseComponent.

### Functions

| Function            | Supported | Details                                                               |
| ------------------- | --------- | --------------------------------------------------------------------- |
| getModelDataManager | Yes       | Returns the model for the corresponding dataManager.                  |
| setIdInDataManager  | Yes       | Assigns the heightContainer property in the model of the dataManager. |
| eventsHandler       | Yes       | Invoke the corresponding handling for data window control.            |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.gapvelocity.ai/webmap/general/frontend/documentation/powerbuilder-kendo-components/data-manager-componets/data-manager-control.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
